package com.yuexiu.secp.read.model.dao;

import com.sie.iot.common.model.dao.BaseCommonDAO_HI;
import com.yuexiu.secp.read.model.entities.ArticleEntity;
import com.yuexiu.secp.read.model.entities.ArticlePreviewEntity;
import org.apache.ibatis.annotations.Select;
import org.springframework.stereotype.Component;

/**
 * 文章信息Dao
 */
@Component("ArticleDao")
public interface ArticleDao extends BaseCommonDAO_HI<ArticleEntity> {

    @Select("select count(1) from yxh_article where promotion_status = 1 and task_status = 1")
    int findRecommend();
}
