package com.yuexiu.secp.read.model.entities.readonly;


import com.alibaba.fastjson.annotation.JSONField;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;

@Data
@ApiModel(value = "文案维护")
public class CostUnitEntityRO implements Serializable {

    public static final String QUERY_SQL = " SELECT\n" +
            "ycu.cost_unit_id,\n" +
            "ycu.unit_name,\n" +
            "ycu.tenant_id,\n" +
            "ycu.creation_date,\n" +
            "ycu.last_update_date\n" +
            "FROM\n" +
            "yxh_cost_unit ycu \n" +
            "WHERE\n" +
            "ycu.delete_flag = 0 ";

    @ApiModelProperty(value = "主键id")
    private Long costUnitId;
    @ApiModelProperty(value = "成本单位名称")
    private String unitName;
    @ApiModelProperty(value = "租户id")
    private Long tenantId;
    @ApiModelProperty(value = "创建日期")
    @JSONField(format = "yyyy-MM-dd HH:mm:ss")
    private Date creationDate;
    @ApiModelProperty(value = "更新日期")
    @JSONField(format = "yyyy-MM-dd HH:mm:ss")
    private Date lastUpdateDate;
}
