package com.yuexiu.secp.read.model.entities.readonly;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;

@Data
@ApiModel(value = "成本单位授权")
public class UnitUserEntityRO implements Serializable {

    public static final String QUERY_SQL = " SELECT \n" +
            " yuu.unit_user_id as unitUserId,\n" +
            " yuu.cost_unit_id as costUnitId,\n" +
            " yuu.unit_name as unitName,\n" +
            " yuu.user_id as userId,\n" +
            " yuu.employee_custom_code as employeeCustomCode,\n" +
            " yuu.psn_name as psnName,\n" +
            " yuu.tenant_id as tenantId\n" +
            "FROM\n" +
            " yxh_unit_user yuu \n" +
            "WHERE\n" +
            " yuu.delete_flag = 0 ";

    @ApiModelProperty(value = "主键id")
    private Long unitUserId;
    @ApiModelProperty(value = "成本单位id")
    private Long costUnitId;
    @ApiModelProperty(value = "成本单位名称")
    private String unitName;
    @ApiModelProperty(value = "员工id")
    private Long userId;
    @ApiModelProperty(value = "员工编码")
    private String employeeCustomCode;
    @ApiModelProperty(value = "员工名称")
    private String psnName;
    @ApiModelProperty(value = "租户id")
    private Long tenantId;
}
