package com.yuexiu.secp.read.dto;
/**
 * 查询最新推荐和我已推荐的Dto
 */

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.NoArgsConstructor;


@Data
@NoArgsConstructor
@ApiModel(value = "查询最新推荐和我已推荐的Dto")
public class ArticleQueryDto {

    @ApiModelProperty(value = "推广状态")
    private int promotionStatus;

    @ApiModelProperty(value = "任务状态")
    private int taskStatus;

    @ApiModelProperty(value = "项目id")
    private int projectId;

    @ApiModelProperty(value = "城市id")
    private int cityId;

    @ApiModelProperty(value = "用户id")
    private int userId;

}
