package com.yuexiu.secp.read.dto;

import com.alibaba.fastjson.annotation.JSONField;
import com.sie.iot.common.bean.ReqeustCommonDataBean;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

@Data
@ApiModel(value = "文案")
public class CopywritingDto extends ReqeustCommonDataBean {
    @ApiModelProperty(value = "主键id")
    private Long copywritingId;
    @ApiModelProperty(value = "文案标题")
    private String copywritingTitle;
    @ApiModelProperty(value = "文案作者")
    private String copywritingAuthor;
    @ApiModelProperty(value = "文案分类")
    private Integer copywritingType;
    @ApiModelProperty(value = "文案状态")
    private Integer copywritingState;
    @ApiModelProperty(value = "内容类型")
    private Integer copywritingContentType;
    @ApiModelProperty(value = "生效开始时间")
    @JSONField(format = "yyyy-MM-dd HH:mm:ss")
    private Date takeBeginTime;
    @ApiModelProperty(value = "生效结束时间")
    @JSONField(format = "yyyy-MM-dd HH:mm:ss")
    private Date takeEndTime;
    @ApiModelProperty(value = "提示样式图片")
    private String tipsImg;
    @ApiModelProperty(value = "文案概要")
    private String copywritingOutline;
    @ApiModelProperty(value = "文案内容")
    private String copywritingConten;
}
